PATCH /whatsapp/templates/{templateName}

Edit a variant's components and/or message_send_ttl_seconds

PATCH
/whatsapp/templates/{templateName}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

templateName*string

Template name (the family)

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

language?string
components?array<>
message_send_ttl_seconds?integer

Response Body

{success, template}

application/json
  1. response
success?boolean
template?
Example Request
curl -X PATCH 'https://example.com/api/v1/whatsapp/templates/string' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string"}'
Example Response
{  "success": true,  "template": {    "id": "string",    "name": "string",    "language": "string",    "status": "string"  }}